
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was quickcpplibConfig.override.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(quickcpplib_CMAKELIB_DIR "${PACKAGE_PREFIX_DIR}/share/cmakelib")
set_and_check(quickcpplib_SCRIPTS_DIR "${PACKAGE_PREFIX_DIR}/share/scripts")

include(CMakeFindDependencyMacro)
if (OFF) # QUICKCPPLIB_USE_SYSTEM_BYTE_LITE
  find_dependency(byte-lite)
endif()
if (OFF) # QUICKCPPLIB_USE_SYSTEM_SPAN_LITE
  find_dependency(span-lite)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/quickcpplibExports.cmake")
if (EXISTS "${CMAKE_CURRENT_LIST_DIR}/quickcpplibSlExports.cmake")
  include("${CMAKE_CURRENT_LIST_DIR}/quickcpplibSlExports.cmake")
endif()
if (EXISTS "${CMAKE_CURRENT_LIST_DIR}/quickcpplibDlExports.cmake")
  include("${CMAKE_CURRENT_LIST_DIR}/quickcpplibDlExports.cmake")
endif()

check_required_components(quickcpplib)
